test: ex/ppc/raisests.c File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# raisests.c File Reference

`#include "exp.h"`

Go to the source code of this file.

## Functions

VOID | ExpRaiseException (IN PEXCEPTION_RECORD ExceptionRecord)
VOID | ExpRaiseStatus (IN NTSTATUS ExceptionCode)
VOID | ExRaiseException (IN PEXCEPTION_RECORD ExceptionRecord)
VOID | ExRaiseStatus (IN NTSTATUS ExceptionCode)

## Function Documentation

VOID ExpRaiseException | ( | IN PEXCEPTION_RECORD | ExceptionRecord | ) |

| Referenced by ExRaiseException().

VOID ExpRaiseStatus | ( | IN NTSTATUS | ExceptionCode | ) |

| Referenced by ExRaiseStatus().

VOID ExRaiseException | ( | IN PEXCEPTION_RECORD | ExceptionRecord | ) |

Definition at line 46 of file ex/ppc/raisests.c.

References ExpRaiseException().

    00052                    :
    00053
    00054     This function raises a software exception by building a context record
    00055     and calling the exception dispatcher directly.
    00056
    00057     N.B. This routine is a shell routine that simply calls another routine
    00058          to do the real work. The reason this is done is to avoid a problem
    00059          in try/finally scopes where the last statement in the scope is a
    00060          call to raise an exception.
    00061
    00062 Arguments:
    00063
    00064     ExceptionRecord - Supplies a pointer to an exception record.
    00065
    00066 Return Value:
    00067
    00068     None.
    00069
    00070 --*/
    00071
    00072 {
    00073
    00074     ExpRaiseException(ExceptionRecord);
    00075     return;
    00076 }

VOID ExRaiseStatus | ( | IN NTSTATUS | ExceptionCode | ) |

Definition at line 153 of file ex/ppc/raisests.c.

References DbgPrint, and ExpRaiseStatus().

Referenced by _purecall(), BuildQueryDirectoryIrp(), CcCopyRead(), CcCopyWrite(), CcCreateVacbArray(), CcExtendVacbArray(), CcFastCopyRead(), CcFastCopyWrite(), CcGetVacbMiss(), CcInitializeCacheMap(), CcMapAndCopy(), CcMdlRead(), CcPinFileData(), CcPrepareMdlWrite(), CcReferenceFileOffset(), CcSetFileSizes(), CcZeroData(), ExAllocatePoolWithQuota(), ExAllocatePoolWithQuotaTag(), ExAllocatePoolWithTag(), ExpRaiseException(), ExpRaiseStatus(), ExRaiseAccessViolation(), ExRaiseDatatypeMisalignment(), FsRtlAllocatePool(), FsRtlAllocatePoolWithQuota(), FsRtlAllocatePoolWithQuotaTag(), FsRtlAllocatePoolWithTag(), FsRtlAreNamesEqual(), FsRtlIsNameInExpression(), FsRtlPrivateInitializeFileLock(), FsRtlPrivateLock(), IoCreateFile(), IoCreateStreamFileObject(), IoCreateStreamFileObjectLite(), IopCreateEntry(), IopSetEaOrQuotaInformationFile(), IopXxxControlFile(), KeReleaseMutant(), KeReleaseSemaphore(), KeSuspendThread(), KeWaitForMultipleObjects(), KeWaitForSingleObject(), LfsAllocateLbcb(), LfsAllocateLcb(), LfsAllocateSpanningBuffer(), LfsCopyReadLogRecord(), LfsFindLastLsn(), LfsFindLogRecord(), LfsFlushLfcb(), LfsFlushToLsn(), LfsFlushToLsnPriv(), LfsForceWrite(), LfsInitializeLogFile(), LfsNormalizeBasicLogFile(), LfsOpenLogFile(), LfsPinOrMapData(), LfsQueryLastLsn(), LfsReadLogRecord(), LfsReadNextLogRecord(), LfsReadRestartArea(), LfsResetUndoTotal(), LfsRestartLogFile(), LfsSetBaseLsn(), LfsVerifyLogSpaceAvail(), LfsWrite(), LfsWriteRestartArea(), MapDesktop(), MESSAGECALL(), MiChargePageFileQuota(), MiCreatePebOrTeb(), MiDoMappedCopy(), MiFindEmptyAddressRangeDownTree(), MiFindEmptyAddressRangeInTree(), MiInsertVad(), MiMakeProtectionMask(), MiMapLockedPagesInUserSpace(), MiMapViewOfDataSection(), MiMapViewOfImageSection(), MiMapViewOfPhysicalSection(), MiSetProtectionOnSection(), MmCreatePeb(), MmGetVerifierInformation(), MmProbeAndLockPages(), MmProbeAndLockProcessPages(), MmProbeForWrite(), MmSetVerifierInformation(), NtAllocateVirtualMemory(), NtNotifyChangeDirectoryFile(), NtQueryEaFile(), NtQueryMultipleValueKey(), NtQueryQuotaInformationFile(), NtReadFile(), NtReadFileScatter(), NtSetEaFile(), NtSetInformationFile(), NtSetUuidSeed(), NtUserDrawCaptionTemp(), NtUserQueryUserCounters(), NtUserResolveDesktop(), NtUserResolveDesktopForWOW(), NtUserSendInput(), NtUserSetSysColors(), NtUserSystemParametersInfo(), NtUserToUnicodeEx(), NtWriteFile(), NtWriteFileGather(), ProbeAndCaptureSoftKbdData(), PsChargePoolQuota(), UdfCreateIrpContext(), UdfNormalizeAndRaiseStatus(), UdfRaiseStatus(), UserRtlRaiseStatus(), VdmDispatchInterrupts(), VdmQueryDirectoryFile(), VeAllocatePoolWithTagPriority(), VerifierAllocatePoolWithQuota(), VerifierAllocatePoolWithQuotaTag(), VerifierProbeAndLockPages(), VerifierProbeAndLockProcessPages(), and VerifierProbeAndLockSelectedPages().

    00159                    :
    00160
    00161     This function raises an exception with the specified status value by
    00162     building an exception record, building a context record, and calling the
    00163     exception dispatcher directly. The exception is marked as noncontinuable
    00164     with no parameters. There is no return from this function.
    00165
    00166     N.B. This routine is a shell routine that simply calls another routine
    00167          to do the real work. The reason this is done is to avoid a problem
    00168          in try/finally scopes where the last statement in the scope is a
    00169          call to raise an exception.
    00170
    00171 Arguments:
    00172
    00173     ExceptionCode - Supplies the status value to be used as the exception
    00174         code for the exception that is to be raised.
    00175
    00176 Return Value:
    00177
    00178     None.
    00179
    00180 --*/
    00181
    00182 {
    00183
    00184     ExpRaiseStatus(ExceptionCode);
    00185     return;
    00186 }